#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 64 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

int ledR = 1;

void setup() {
  Serial.begin(115200);

  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { // Address 0x3D for 128x64
    Serial.println(F("SSD1306 allocation failed"));
    for (;;);
  }

  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(0, 10);
  // Display static text
  display.println("Fab Academy 2022");
  display.println("Luis power test");
  display.display();
  delay(2000);
  pinMode(ledR, OUTPUT);
}

void loop() {
  
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(0, 10);
  display.fillRect(0, 0, 128/4, 64, SSD1306_WHITE);
  display.display();
  
  analogWrite(ledR, 63);
  delay(2000);

    display.fillRect(0, 0, 128/2, 64, SSD1306_WHITE);
  display.display();
  
  analogWrite(ledR, 120);
  delay(2000);

      display.fillRect(0, 0, 128/4*3, 64, SSD1306_WHITE);
  display.display();
  
  analogWrite(ledR, 190);
  delay(2000);

      display.fillRect(0, 0, 128, 64, SSD1306_WHITE);
  display.display();
  
  analogWrite(ledR, 255);
  delay(2000);

  
}
